Subject: Re: [RFC/PATCH 4/4] Add support for MSI on Axon-based Cell systems

From: Arnd Bergmann <[email-masked]>
Date: Tue, 5 Jun 2007 11:30:12 +0200

On Tuesday 05 June 2007, Arnd Bergmann wrote:

Sorry, I had the wrong address for Christian, resending to the right one...

> On Tuesday 05 June 2007, Jean-Christophe Dubois wrote:
> > On Monday 04 June 2007 15:00:05 Michael Ellerman wrote:
> > > +       pr_debug("axon_msi: initialising ...\n");
> > > +
> > > +       for_each_compatible_node(node, NULL, "ibm,axon-msic") {
> > > +               if (axon_msi_setup_one(of_node_get(node)) == 0)
> > > +                       found++;
> > > +       }
> > > +       of_node_put(node);
> > 
> > 2 comments:
> > 
> > 1) There is no "ibm,axon-msic" compatible property in the SLOF tree provided 
> > by IBM on the CAB (or other such platforms). Therefore this code will not 
> > work on these platforms.
> 
> Right, the firmware needs to support msi so we can use it. I guess taht's true
> for every device: If the firmware decies to hide it from us, we better don't
> try to touch it.
> 
> > 2) you should somehow check for the Axon version. Axon 1.1 (and prior) are 
> > know to be loosing MSI/MBX interrupts (but not the data part associated to 
> > them). Therefore this should be enabled only on Axon 2.1 (or later).
> 
> Good point, thanks for mentioning it. Christian, can you confirm that the
> ibm,axon-msic node is only created on systems with axon 2.1 or later?
> 
> 	Arnd <><